diff --git a/src/backend/access/table/tableam.c b/src/backend/access/table/tableam.c
index c814733b22..c6c1fec4f7 100644
--- a/src/backend/access/table/tableam.c
+++ b/src/backend/access/table/tableam.c
@@ -125,14 +125,17 @@ table_scan_update_snapshot(TableScanDesc scan, Snapshot snapshot)
 Size
 table_parallelscan_estimate(Relation rel, Snapshot snapshot)
 {
-	Size		sz = 0;
+	Size		sz;
 
 	if (IsMVCCSnapshot(snapshot))
 		sz = add_size(sz, EstimateSnapshotSpace(snapshot));
 	else
+	{
 		Assert(snapshot == SnapshotAny);
+		sz = 0;
+	}
 
-	sz = add_size(sz, rel->rd_tableam->parallelscan_estimate(rel));
+	sz += add_size(sz, rel->rd_tableam->parallelscan_estimate(rel));
 
 	return sz;
 }